Subject: Re: [PATCH v2 04/12] worktree.c: mark current worktree

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Apr 2016 08:42:54 -0700

Jeff King <[email-masked]> writes:

> To me, the benefit is that you don't have to care about ignore_case. You
> have asked to compare two paths, and any system-appropriate magic should
> be applied. That may be icase, or it may be weird unicode normalization.
>
> I think the key thing missing is that this is only about _filesystem_
> paths. You would not want to use it for tree-to-tree pathname
> comparisons. So maybe "fspath" or something would be more descriptive.

Yup, I would be very happy with "fs" in the name.